Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036454
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2017-07-10 18:112017-09-21 16:49
ReporterngarciaView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision699bc76591a4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036454: editing in grid record can be saved before callouts are applied

DescriptionIt is possible to save a record while editing it in grid before changes produced by callouts are applied to it, the result can be incorrect data being saved. This is easier to reproduce in case of slow network or slow callouts.
Steps To Reproduce* Alternative 1

Using chrome, open Developer Tools - Network and set Network conditions to GPRS (500ms, 50kb/s, 20bk/s)

As group admin role:
   1.1. Create a Sales Quotation header
   1.2. Insert Row in grid mode
   1.3. Select a product, click on save button in grid and while loading click on Cancel changes toolbar button
     -> Check the line is saved but the prices and amounts remain on 0, the default tax has not been modified...


* Alternative 2
  2.1. Add artificial delay in SL_Order_Product callout code: Thread.sleep(5_000L);
  2.2. Create a Sales Quotation header
  2.3. Insert Row in grid mode
  2.4. Select a product, click on save button before FIC request is completed
    -> Check the line is saved but the prices and amounts remain on 0, the default tax has not been modified...


Note if the same is performed in form view, save request is not performed until FIC response is received so that data is correct.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0020474 closedmtaal When you save a register in grid view, amounts fields change to the previous value 
related to defect 0032668 closedalostale Wrong Total Gross Amount, Total Net Amount and Tax information is obtained in order and invoices 
depends on backport 00364603.0PR17Q3 closedalostale editing in grid record can be saved before callouts are applied 
depends on backport 00364613.0PR17Q2.2 closedalostale editing in grid record can be saved before callouts are applied 
depends on backport 00364623.0PR17Q1.3 closedalostale editing in grid record can be saved before callouts are applied 
related to defect 0036457 closedalostale inconsistent grid state if cancelling changes before receiving FIC response 

-  Notes
(0098031)
hgbot (developer)
2017-07-12 08:20

Repository: erp/devel/pi
Changeset: 699bc76591a429789bc5fc65589586a3ad1d9421
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Jul 11 09:13:34 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/699bc76591a429789bc5fc65589586a3ad1d9421 [^]

fixed bug 36454: in grid can trigger save before FIC response is received

  While editing in grid mode, it is possible to trigger save action by clicking
  grid's save button while FIC response is not received yet. If this occurs, the
  data sent to backend misses information that FIC should update.

  If grid's save button is clicked while in FIC call, postpone save action till
  FIC return.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0098040)
AugustoMauch (developer)
2017-07-12 11:26

Code reviewed and verified in pi@5a4d53a0947f
(0099272)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-07-10 18:11 ngarcia New Issue
2017-07-10 18:11 ngarcia Assigned To => platform
2017-07-10 18:11 ngarcia Modules => Core
2017-07-10 18:11 ngarcia Triggers an Emergency Pack => No
2017-07-10 18:14 ngarcia Steps to Reproduce Updated View Revisions
2017-07-10 18:14 ngarcia Issue Monitored: networkb
2017-07-10 18:50 ngarcia Priority urgent => immediate
2017-07-11 07:52 alostale Assigned To platform => alostale
2017-07-11 09:04 alostale Steps to Reproduce Updated View Revisions
2017-07-11 09:05 alostale Relationship added related to 0020474
2017-07-11 09:06 alostale Relationship added related to 0032668
2017-07-11 13:15 alostale Relationship added related to 0036457
2017-07-11 15:05 alostale Summary Changes from SL_Order_Product callout are not saved if the network is slow and the sales quotation line is canceled before saved => editing in grid record can be saved before callouts are applied
2017-07-11 15:05 alostale Description Updated View Revisions
2017-07-11 15:06 alostale Review Assigned To => AugustoMauch
2017-07-11 15:07 alostale Status new => scheduled
2017-07-11 16:07 alostale Steps to Reproduce Updated View Revisions
2017-07-11 16:08 alostale Steps to Reproduce Updated View Revisions
2017-07-12 08:20 hgbot Checkin
2017-07-12 08:20 hgbot Note Added: 0098031
2017-07-12 08:20 hgbot Status scheduled => resolved
2017-07-12 08:20 hgbot Resolution open => fixed
2017-07-12 08:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/699bc76591a429789bc5fc65589586a3ad1d9421 [^]
2017-07-12 11:26 AugustoMauch Note Added: 0098040
2017-07-12 11:26 AugustoMauch Status resolved => closed
2017-07-14 08:18 alostale Review Assigned To AugustoMauch => caristu
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099272


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker